<?php

class appDisqusBackendActions extends stAdminGeneratorActions{
     
    public function executeIndex(){

        $i18n = $this->getContext()->getI18N();

        $this->config = stConfig::getInstance('appDisqusBackend');
        
        $this->config->setCulture($this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        
        if ($this->getRequest()->getMethod() == sfRequest::POST){
            
            $this->config->set('enable_blog', $this->getRequestParameter('disqus[enable_blog]'));

            $this->config->set('disqus_name', $this->getRequestParameter('disqus[disqus_name]'), true);
            
            $this->config->save();
            
            stFastCacheManager::clearCache();
            
            $this->setFlash('notice', $i18n->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
            
            $this->redirect('appDisqusBackend/index?culture=' . $this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        }

        if ($this->config->get('disqus_name', $this->getRequestParameter('disqus[disqus_name]'), true) != ''){

            $this->configuration_check = true;

        }else{

            $this->configuration_check = false;
            
        }

        if (!$this->config->get('enable_blog')){
        
        $notice = '<a href="https://disqus.com/admin/signup/?utm_source=New-Site" target="_blank" style="text-decoration: underline; color: #555;">'.$this->getContext()->getI18n()->__('Załóż konto Disqus').'</a>'.$this->getContext()->getI18n()->__(' i podaj nazwę strony Disqus w konfiguracji by korzystać z dodatku.');

        $this->setFlash("info", $notice, false);  
        }
        
        $this->config->load();

        $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));
        
    }

    protected function getBreadcrumbs(){
        
        if (null === $this->breadcrumbs){
            $i18n = $this->getContext()->getI18N();
            $this->breadcrumbs = parent::getBreadcrumbs();
            $this->breadcrumbs->add($i18n->__('Disqus'), '@appDisqusPlugin');
        }

        return $this->breadcrumbs;
    }

}